Bug 3943 - RFT -help text and on-line doc are out of sync and need improvement
: RFT -help text and on-line doc are out of sync and need improvement
Status: RESOLVED FIXED
: RFT
RFT
: 4.0.1
: PC Windows XP
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-11-28 14:40 by
Modified: 2005-12-02 04:40 (History)


Attachments
patch against ws-transfer/reliable/client/java/source/src/org/globus/transfer/reliable/client/BaseRFTClient.java file (2.04 KB, patch)
2005-12-01 10:23, Chris Wilk
Details
patch against ws-transfer/reliable/client/java/source/src/org/globus/transfer/reliable/client/ReliableFileDeleteClient.java file (1.54 KB, patch)
2005-12-01 10:28, Chris Wilk
Details
patch against ws-transfer/reliable/client/java/source/src/org/globus/transfer/reliable/client/BaseRFTClient.java file (2.07 KB, patch)
2005-12-02 04:37, Chris Wilk
Details
patch against ws-transfer/reliable/client/java/source/src/org/globus/transfer/reliable/client/ReliableFileDeleteClient.java file (2.20 KB, patch)
2005-12-02 04:38, Chris Wilk
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-28 14:40:52
I'll report this against RFT, as it begins with the RFT help message, but it's
a
joint RFT and documentation issue. 

The RFT help message could use significant cleanup and improvement, and it's
out
of sync with the version displayed in the "GT4.0 RFT Command Reference" on-line
doc page.  The differences are fairly minor, but both are poor quality and need
some work to help the user. For example, look at the differences in the -h
option description, and what is the closing square bracket in the -file option?
 I recognize that the -help needs to be brief, but the documentation shouldn't
just repeat it - it should give the user more info about what each command
does,
and any time either version changes the other should be synced with it.

The lines below are copied from my notes.

[jem@risk rft]$ rft -help
rft [options] -f <path to transfers file>
where options can be
-h host, defaults to localhost.
-r port, defaults to 8080
-l lifetime in minutes, defaults to 60mins
-m security mechanism. 'msg' for secure message or 'conv' for
secure conversation and 'trans' for transport. Defaults to
secure transport.
-p protection type, 'sig' signature and 'enc' encryption,
defaults to signature
-z authorization, defaults to Host Authorization. 'self' for
self authorization
-file file to write EPR of created Reliable File Transfer Resource

Here's what the user guide says:
rft [-h <host-ip of the container defaults to localhost> 
-r <port, defaults to 8080>
-l <lifetime for the resource default 60mins> 
-m <security mechanism. 'msg' for secure message or 'conv' for 
 secure conversation and 'trans' for transport. Defaults to 
   secure transport.>
-p <protection type, 'sig' signature and 'enc' encryption, 
 defaults to signature >
-z <authorization mechanism can be self or host. default self> 
-file <file to write EPR of created Reliable  File Transfer Resource]> 
-f <path to the file that contains list of transfers>

The user guide version is not great, but it has more info.  e.g. Look at the -h
option - at least I get a clue that I'm contacting a service.  But both of
these
could do with some careful cleanup, and they should be in sync.
------- Comment #1 From 2005-12-01 10:23:29 -------
Created an attachment (id=774) [details]
patch against
ws-transfer/reliable/client/java/source/src/org/globus/transfer/reliable/client/BaseRFTClient.java
file

This is a patch against BaseRFTClient.java file. The latter is the abstract
class (generic) for all RFT clients.
------- Comment #2 From 2005-12-01 10:28:11 -------
Created an attachment (id=775) [details]
patch against
ws-transfer/reliable/client/java/source/src/org/globus/transfer/reliable/client/ReliableFileDeleteClient.java
file

This is a patch against ReliableFileDeleteClient.java file. The latter is a
class which is used by rft command line utility.
------- Comment #3 From 2005-12-01 10:28:51 -------
I have posted two patches related to this bug.
Feel free to send me any comments or further suggestions.
------- Comment #4 From 2005-12-01 12:08:17 -------
Fixed the client in branch. Fixed documentation.
------- Comment #5 From 2005-12-02 04:37:43 -------
Created an attachment (id=780) [details]
patch against
ws-transfer/reliable/client/java/source/src/org/globus/transfer/reliable/client/BaseRFTClient.java
file

This patch contains foremost formatting changes as compared to patch #774.
------- Comment #6 From 2005-12-02 04:38:37 -------
Created an attachment (id=781) [details]
patch against
ws-transfer/reliable/client/java/source/src/org/globus/transfer/reliable/client/ReliableFileDeleteClient.java
file

This patch contains foremost formatting changes as compared to patch #775.
------- Comment #7 From 2005-12-02 04:40:05 -------
It seems to me that RFT on-line command line reference has not been updated:
<http://www.globus.org/toolkit/docs/4.0/data/rft/rn01re01.html>